import request from '@/utils/request'

// 查询积分控制列表
export function listControl(query) {
  return request({
    url: '/system/pointcontrol/list',
    method: 'get',
    params: query
  })
}

// 查询积分控制详细
export function getControl(id) {
  return request({
    url: '/system/pointcontrol/' + id,
    method: 'get'
  })
}

// 新增积分控制
export function addControl(data) {
  return request({
    url: '/system/pointcontrol',
    method: 'post',
    data: data
  })
}

// 修改积分控制
export function updateControl(data) {
  return request({
    url: '/system/pointcontrol',
    method: 'put',
    data: data
  })
}

// 删除积分控制
export function delControl(id) {
  return request({
    url: '/system/pointcontrol/' + id,
    method: 'delete'
  })
}
